> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Endpoint

> Update a custom endpoint.



## OpenAPI

````yaml put /api/v1/endpoints/{endpoint_id}
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/endpoints/{endpoint_id}:
    put:
      tags:
        - endpoints
        - Endpoints
      summary: Update Endpoint
      description: Update a custom endpoint.
      operationId: update_endpoint_api_v1_endpoints__endpoint_id__put
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndpointUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EndpointUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
        method:
          anyOf:
            - type: string
              enum:
                - GET
                - POST
                - PUT
                - PATCH
                - DELETE
            - type: 'null'
          title: Method
        auth_required:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Auth Required
        condition:
          anyOf:
            - type: string
            - type: 'null'
          title: Condition
          description: Pass '' to clear the condition expression
        actions:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Actions
        response_template:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Template
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
      type: object
      title: EndpointUpdateRequest
      description: Request body for updating a custom endpoint (all fields optional).
    EndpointResponse:
      properties:
        id:
          type: string
          title: Id
        account_id:
          type: string
          title: Account Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        path:
          type: string
          title: Path
        method:
          type: string
          title: Method
        auth_required:
          type: boolean
          title: Auth Required
        condition:
          anyOf:
            - type: string
            - type: 'null'
          title: Condition
        actions:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Actions
        response_template:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Template
        enabled:
          type: boolean
          title: Enabled
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - account_id
        - name
        - description
        - path
        - method
        - auth_required
        - condition
        - actions
        - response_template
        - enabled
        - created_at
        - updated_at
        - created_by
      title: EndpointResponse
      description: Response schema for a single custom endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````